imcat(1)

Name
imcat - List catalog stars in FITS and IRAF image files

Synopsis
imcat [options] FITS or IRAF file(s)

Description
Search given catalog within area described by the world coordinate system in an image header. May be called as imuac to search the USNO A 1.0 catalog, imusac to search the USNO SA 1.0 catalog, or imgsc to search the HST Guide Star Catalog.

Options

-b [<RA> <Dec>]
    Output in B1950, optional new image center in B1950 (FK4) RA and Dec to replace that in image header

-c <name>
    Reference catalog (gsc(=HST GSC), ua2(=USNO-A2.0), TMC(=2MASS Point Source Catalog), gsc2(=GSC II), ub1(=USNO-B1.0), local file, etc.)

-d  Output RA,Dec positions in fractional degrees

-e  Output in ecliptic longitude and latitude

-g  Output in galactic longitude and latitude

-h  Print heading, else do not

-i  Print name instead of number in region file

-j [<RA> <Dec>]
    Output in J2000, optional new image center in J2000 (FK5) RA and Dec to replace that in image header

-k <keyword>
    Add this keyword to output from tab table search

-m [<bright magnitude>] <faint magnitude>
    Limiting catalog magnitude(s) (default none, bright -2 if only faint is given)

-n <num>
    Number of brightest stars to print

-o <type>
    Set HST Guide Star object class to print (0=stars, 3=nonstars, -1=all, -2=band)

-p <scale>
    Initial plate scale in arcsec per pixel (default from file)

-q <c|d|o|s|x|v|+>
    Write SAOimage region file with this shape, o=circle, s=square, d=diamond, +=cross, and x=X, with the radius scaled with magnitude unless specified with a -r command line entry. v will cause stellar Guide Stars to plot with a + and nonstellar Guide Stars to plot with an x. If character is is preceded by p, the size specified by the -r command is assumed to be in pixels, not arcseconds. A p alone specifies a circle in pixels.

-r <radius>
    Write SAOimage region file with shapes (default CIRCLE) of this radius in arcseconds. SAOimage can then read this file, with will have positions and radii in pixels and plot it over an image. If the radius is specified as zero, the output radii will scale between 5 and dim/100 over the range of magnitudes of sources found in the image area. If the -q option is specified with a 'p' in it, this number is assumed to be in pixels instead of arcseconds.

-s d|m|n|p|r|x|y
    Sort by (d)eclination, (m)agnitude, (n)o sort, (p)distance from center, (r)ight ascension, image (x) or (y).

-t  Tab table to standard output as well as file

-u num
    USNO catalog single plate number to accept

-v  Verbose listing of processing intermediate results

-w  Write tab table output file imagename.cat

-x x y
    X and Y coordinates of reference pixel (default is CRPIXn or center of image)

-y epoch
    Epoch of image for proper motions

-z  Use AIPS classic projections instead of WCSLIB; use CD matrix or CDELT instead of polynomial solution.

See Also
scat()

Web Page
http://tdc-www.harvard.edu/software/wcstools/imcat/

Author
Jessica Mink, SAO (jmink@cfa.harvard.edu)